Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class ServerProjectStatusChangeEvent

    java.lang.Object
      java.util.EventObject
          edu.stanford.smi.protege.util.SessionEvent
              edu.stanford.smi.protege.util.AbstractEvent
                  edu.stanford.smi.protege.event.ServerProjectStatusChangeEvent

All Implemented Interfaces:
  Event, ServerProjectEvent, Localizable, Serializable

    public class ServerProjectStatusChangeEvent

extends AbstractEvent
implements ServerProjectEvent

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface edu.stanford.smi.protege.event.ServerProjectEvent
`ServerProjectEvent.ServerEventTypes`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface edu.stanford.smi.protege.event.ServerProjectEvent
`BASE`

Constructor Summary
`ServerProjectStatusChangeEvent(String projectName, ServerProject.ProjectStatus oldStatus, ServerProject.ProjectStatus newStatus)`

Method Summary
`ServerProject.ProjectStatus` | `getNewStatus()`
`ServerProject.ProjectStatus` | `getOldStatus()`
`String` | `getProjectName()`

Methods inherited from class edu.stanford.smi.protege.util.AbstractEvent
`equals, equals, getArgument, getArgument1, getArgument2, getArgument3, getEventType, getSource, getTimeStamp, getUserName, hashCode, isReplacementEvent, localize, setReplacementEvent, setSource, setTimeStamp, toString`

Methods inherited from class edu.stanford.smi.protege.util.SessionEvent
`getSession, isHiddenByTransaction, setHiddenByTransaction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.event.Event
`getSource, getTimeStamp, getUserName, isReplacementEvent, setReplacementEvent, setTimeStamp`

Constructor Detail

### ServerProjectStatusChangeEvent

    public ServerProjectStatusChangeEvent(String projectName,
                                          ServerProject.ProjectStatus oldStatus,
                                          ServerProject.ProjectStatus newStatus)

Method Detail

### getProjectName

    public String getProjectName()

### getOldStatus

    public ServerProject.ProjectStatus getOldStatus()

### getNewStatus

    public ServerProject.ProjectStatus getNewStatus()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.